Set a quota
curl --request PUT \
--url https://envlink-api.projectinwork.com/v1/quotas/{template} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"maxLeases": 500,
"idle": "<string>",
"hard": "<string>"
}
'import requests
url = "https://envlink-api.projectinwork.com/v1/quotas/{template}"
payload = {
"maxLeases": 500,
"idle": "<string>",
"hard": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({maxLeases: 500, idle: '<string>', hard: '<string>'})
};
fetch('https://envlink-api.projectinwork.com/v1/quotas/{template}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://envlink-api.projectinwork.com/v1/quotas/{template}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'maxLeases' => 500,
'idle' => '<string>',
'hard' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://envlink-api.projectinwork.com/v1/quotas/{template}"
payload := strings.NewReader("{\n \"maxLeases\": 500,\n \"idle\": \"<string>\",\n \"hard\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://envlink-api.projectinwork.com/v1/quotas/{template}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"maxLeases\": 500,\n \"idle\": \"<string>\",\n \"hard\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://envlink-api.projectinwork.com/v1/quotas/{template}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"maxLeases\": 500,\n \"idle\": \"<string>\",\n \"hard\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"quota": {
"template": "<string>",
"maxLeases": 123,
"running": 123,
"idle": "<string>",
"hard": "<string>"
}
}Usage
Set a quota
Admins only. * sets the limit across every template.
PUT
/
v1
/
quotas
/
{template}
Set a quota
curl --request PUT \
--url https://envlink-api.projectinwork.com/v1/quotas/{template} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"maxLeases": 500,
"idle": "<string>",
"hard": "<string>"
}
'import requests
url = "https://envlink-api.projectinwork.com/v1/quotas/{template}"
payload = {
"maxLeases": 500,
"idle": "<string>",
"hard": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({maxLeases: 500, idle: '<string>', hard: '<string>'})
};
fetch('https://envlink-api.projectinwork.com/v1/quotas/{template}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://envlink-api.projectinwork.com/v1/quotas/{template}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'maxLeases' => 500,
'idle' => '<string>',
'hard' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://envlink-api.projectinwork.com/v1/quotas/{template}"
payload := strings.NewReader("{\n \"maxLeases\": 500,\n \"idle\": \"<string>\",\n \"hard\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://envlink-api.projectinwork.com/v1/quotas/{template}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"maxLeases\": 500,\n \"idle\": \"<string>\",\n \"hard\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://envlink-api.projectinwork.com/v1/quotas/{template}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"maxLeases\": 500,\n \"idle\": \"<string>\",\n \"hard\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"quota": {
"template": "<string>",
"maxLeases": 123,
"running": 123,
"idle": "<string>",
"hard": "<string>"
}
}Authorizations
A CLI token or an organization API key.
Path Parameters
A template, or *.
Response
200 - application/json
OK
Show child attributes
Show child attributes